Ubuntu: Can I make Nautilus look better in Lubuntu 12.04?



Question:

I mean that PCManFM and Thunar follow my theme:

enter image description here

enter image description here

Nautilus does not:

enter image description here

I have to add that I do not want to change my present theme. And I guess that is the problem, as it does not have a gtk3 folder included.


Solution:1

Nautilus is gtk3. Thunar is gtk2. I don't know about the third. Ensure that the theme you use has a gtk-3.0 folder if you want Nautilus to be styled as well. Your theme may be in ~/.themes or in /usr/share/themes (which is where they're located in Ubuntu 12.04.) The Ambiance theme, for example, is here: /usr/share/themes/Ambiance. Within are the following:

[03:04 PM] /usr/share/themes/Ambiance $ ls

gtk-2.0 gtk-3.0 index.theme metacity-1 unity

The presence of the gtk-3.0 folder ensures that apps based on gtk3 will be styled correctly.

Edit: I suspect that most software from GNOME will be gtk3. Other things like Chrome, Firefox, LibreOffice still are gtk2.

Anyway, as the other answer also suggested:

Nautilus is gtk3: use a gtk3 theme if you want a gtk3 program to be themed.

(In order to use a theme that does not have gtk3 support: a not very recommendable workaround is to copy the gtk3 folder from a theme that has it into the folder of the one that does not. In fact, in Lubuntu, one can extract and copy themes in home/username/.themes in order to install them, a location which does not require root privilege. But some applications like Synaptic Manager require a theme in usr/share/themes: see this question.)


Solution:2

  1. Go to Preferences â†' Customize Look and Feel from the menu

  2. Change the theme to Lubuntu-default in widget tab. It will make nautilus to look good and compatible with other Lubuntu apps

Response to latest updates of requirements by OP

If you don't want to change your theme, I fear it is not possible to workaround this. Because, nautilus version 3.0 or greater requires gtk-3 themes, which your currently active theme surely is not supporting.

If you really want to have nautilus to be compatible with the installed theme, I would suggest you to contact theme developer for a request to implement gtk-3 theme in this one. If you are good with css and javascript and feel interested, I think you may yourself try to implement the theme in gtk-3. See this themeing guide for help.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »